List an issue's instances
curl --request GET \
--url https://app.ilitylabs.com/v1/issues/{id}/instances \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/issues/{id}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/issues/{id}/instances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_fingerprint": "<string>",
"status": "open",
"severity": "critical",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_url": "<string>",
"selector": "<string>",
"frame_origin": "<string>",
"dom_context": {},
"latest_help_text": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"findings": [
{
"element_snippet": "<string>",
"found_at": "2023-11-07T05:31:56Z"
}
],
"has_screenshot": true,
"has_source": true,
"evidence_kind": "screenshot",
"evidence_is_current": true,
"scan_page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"element_marker": 123
}
],
"total": 123
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}Issues
List an issue's instances
Lists every place the issue appears: the page, the element’s selector, and its markup.
GET
/
v1
/
issues
/
{id}
/
instances
List an issue's instances
curl --request GET \
--url https://app.ilitylabs.com/v1/issues/{id}/instances \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.ilitylabs.com/v1/issues/{id}/instances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.ilitylabs.com/v1/issues/{id}/instances"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"canonical_fingerprint": "<string>",
"status": "open",
"severity": "critical",
"page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"page_url": "<string>",
"selector": "<string>",
"frame_origin": "<string>",
"dom_context": {},
"latest_help_text": "<string>",
"first_seen_at": "2023-11-07T05:31:56Z",
"last_seen_at": "2023-11-07T05:31:56Z",
"findings": [
{
"element_snippet": "<string>",
"found_at": "2023-11-07T05:31:56Z"
}
],
"has_screenshot": true,
"has_source": true,
"evidence_kind": "screenshot",
"evidence_is_current": true,
"scan_page_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"element_marker": 123
}
],
"total": 123
}{
"detail": "<string>",
"reason": "<string>"
}{
"detail": "<string>",
"reason": "<string>"
}